/****************************************************************************
**
** Copyright (C) 2012 Róbert Márki
**
** This file is part of Web Feeds.
**
** Web Feeds is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** Web Feeds is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with Web Feeds.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************************/

#ifndef CLASSIFIERSET_H
#define CLASSIFIERSET_H
#include <QObject>
#include "globals.h"

namespace NewsBlur
{
class FeedClassifiers : public QObject
{
    Q_OBJECT
public:
    explicit FeedClassifiers(QObject *parent = 0);
    bool isNull() const;
    FeedClassifiers(const FeedClassifiers& other);
    ClassifierHash titleClassifiers() const;
    void setTitleClassifiers(const ClassifierHash& titleClassifiers);
    ClassifierHash authorClassifiers() const;
    void setAuthorClassifiers(const ClassifierHash& authorClassifiers);
    ClassifierHash tagClassifiers() const;
    void setTagClassifiers(const ClassifierHash& tagClassifiers);
    NewsBlurEnum::ClassifierValue feedClassifier() const;
    void setFeedClassifier(NewsBlurEnum::ClassifierValue feedClassifier);
    FeedClassifiers& operator =(const FeedClassifiers& other);
    bool operator ==(const FeedClassifiers& other) const;

private:
    ClassifierHash m_titleClassifiers;
    ClassifierHash m_authorClassifiers;
    ClassifierHash m_tagClassifiers;
    NewsBlurEnum::ClassifierValue m_feedClassifier;
};
} // namespace NewsBlur
#endif // CLASSIFIERSET_H
